{% extends 'base.html' %}
{% block content %}
  <div class="row justify-content-md-center">
    <div class="row">
      <div class="col mt-2">
        <a class="btn btn-sm bg-purple text-light rounded-2 float-end"
          href="https://gitlab.torproject.org/tpo/network-health/metrics/tagtor/" title="View on Gitlab" target="_blank"
          rel="noopener">
          View on Gitlab
        </a>
      </div>
    </div>
    <div class="row">
      <h1>Docs</h1>
      <div class="content">
        <p>TagTor is a flask web app to display metrics about the Tor network and annotate its nodes.</p>
        <h2 id="overview">Overview <a class="anchor-link" href="#overview"
            aria-label="Link to this section: Overview">#</a></h2>
        <p>TagTor allows Tor network nodes search and tagging.</p>
          <h3 id="metrics">Metrics <a class="anchor-link" href="#metrics" aria-label="Link to this section: Metrics">#</a>
          </h3>
          <p>
            The graphs and tables you see on Tor Metrics are the result of combining data from various points within the Tor
            network. Some of these combinations are straightforward, while others are more complex.
            Our aim is to make the graphs and tables produced by our metrics services more accessible and reproducible. On
            this page, we provide comprehensive instructions on how you can replicate the data behind these graphs and
            tables using the timeseries data published on VictoriaMetrics. This enables you to create your own versions.
            Additionally, we offer insights into the design principles guiding our data aggregations and provide links to
            technical reports and additional resources.
            This page is a living document that keeps up with the latest changes in the graphs and tables on Tor Metrics.
          </p>
          <p>
            The graphs in the metrics section are documented on <a
              href="https://gitlab.torproject.org/tpo/network-health/metrics/descriptorParser/-/blob/main/REPRODUCIBLE_NETWORK_METRICS.md?ref_type=heads">descriptorParser</a>
            repository.
          </p>
          <p>
            Some of these metrics are exposed as timeseries on <a href="https://victoriametrics.com/">VictoriMetrics</a> and
            are documented on <a
              href="https://gitlab.torproject.org/tpo/network-health/metrics/descriptorParser/-/blob/main/METRICS.md?ref_type=heads">descriptorParser</a>
            repository.
          </p>
          <h3 id="browsing">Browsing <a class="anchor-link" href="#search" aria-label="Link to this section: Browsing">#</a>
          </h3>
          <p>
            On TagTor users can browse network metrics and individual nodes (and nodes families) properties. <br />
            Network metrics are divided by category and with time more visualization becomes available on the app. <br />
            The <a href="/routers">routers</a> page list routers and provides a set of useful filters to learn about
            different properties of Tor relays and bridges. <br />
          </p>
          <h3 id="search">Search <a class="anchor-link" href="#search" aria-label="Link to this section: Search">#</a></h3>
          <p>
            TagTor allows searching every (almost) field in the server_status table updated hourly by descriptorParser.
          </p>
          <p>
            The list of columns from the table can be found on <a
              href="https://gitlab.torproject.org/tpo/network-health/metrics/metrics-sql-tables/-/blob/main/status_tables.sql?ref_type=heads">metrics-sql-tables</a>
            repository.
          </p>
          <p>
            A "Search tags" box also exists on the <a href="/routers">routers</a> page. This box only allows searching for a
            list of tags applied to routers.
          </p>
          <p>
            For example imagine that you wanted to list all the relays with "Fast" flag. <br />
            You can use the search box on the left-hand side of TagTor and type: <code>flags=fast</code>. <br />
            TagTor would take you to the following url: <a href="/routers?flags=fast">/routers?flags=fast</a>, where it will
            list all the relays with the searched flag. <br /><br />
            Search box works like query-params, so you can search based on multiple parameters at a single time. <br />
            For example, you can search for relays with "fast" flag and "ch" country using <code>flags=fast&country=ch</code> <br />
            TagTor would take you to the following url: <a href="/routers?flags=fast&country=ch">/routers?flags=fast&country=ch</a>
          </p>
    
          </p>
          <h3 id="tags">Tags <a class="anchor-link" href="#tags" aria-label="Link to this section: Tags">#</a></h3>
          <p>
            TagTor also allows relay tagging and annotation. You can use either the family page or the router page to add a
            not or a tag to the relay and its family. <br />
            Tags are always applied to all relays in the same family even when you have tagged a single relay.
          </p>
          <h3 id="profile">Profile <a class="anchor-link" href="#profile" aria-label="Link to this section: Profile">#</a>
          </h3>
          <p>
            The <a href="/auth">profile</a> section contains a summary of the user activity on the platform with a list of
            all the tags and notes added to routers.
          </p>
      </div>
    </div>
  </div>
{% endblock %}